ONVIF::PTZ::Types::MetadataAttributes(3)

NAME
ONVIF::PTZ::Types::MetadataAttributes

DESCRIPTION
Perl data type class for the XML Schema defined complexType MetadataAttributes from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   CanContainPTZ

•   CanContainAnalytics

•   CanContainNotifications

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::MetadataAttributes
   CanContainPTZ =>  $some_value, # boolean
   CanContainAnalytics =>  $some_value, # boolean
   CanContainNotifications =>  $some_value, # boolean
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class ONVIF::PTZ::Types::MetadataAttributes::_MetadataAttributes::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   PtzSpaces

     List of all PTZ spaces active for recording. Note that events are only recorded on position changes and the actual point of recording may not necessarily contain an event of the specified type.

    This attribute is of type ONVIF::PTZ::Types::StringAttrList.

AUTHOR
Generated by SOAP::WSDL